SoMaterialBindingElement(3)

NAME
SoMaterialBindingElement - The SoMaterialBindingElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoMaterialBindingElement.h>

Inherits SoInt32Element.

  Public Types
enum Binding { OVERALL = 2, PER_PART = 3, PER_PART_INDEXED = 4, PER_FACE = 5, PER_FACE_INDEXED = 6, PER_VERTEX = 7, PER_VERTEX_INDEXED = 8, DEFAULT = OVERALL, NONE = OVERALL }

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const Binding binding)
FIXME: write doc.
static void set (SoState *const state, const Binding binding)
FIXME: write doc.
static Binding get (SoState *const state)
FIXME: write doc.
static Binding getDefault ()
FIXME: write doc.

  Protected Member Functions
virtual ~SoMaterialBindingElement ()

  Additional Inherited Members

Detailed Description

The SoMaterialBindingElement class is yet to be documented. FIXME: write doc.

Member Enumeration Documentation

  enum SoMaterialBindingElement::Binding
FIXME: write doc.

Constructor & Destructor Documentation

  SoMaterialBindingElement::~SoMaterialBindingElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoMaterialBindingElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoMaterialBindingElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoMaterialBindingElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoMaterialBindingElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoMaterialBindingElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value for materialBinding is SoMaterialBindingElement::DEFAULT.

Reimplemented from SoInt32Element.

Author

Generated automatically by Doxygen for Coin from the source code.